︠33ffcfff-0f5a-4615-8fab-2849a7caff1fi︠
%html
<p><span style="font-size: medium;">This is the trajectory followed by a point on the surface of a disk while the disk rolls on the floor, without slipping, with a uniform linear velocity. The point is chosen at a distance 'r' from the center of the disk.</span></p>

︡abd847b2-1ab2-4667-88c4-9d4d89382904︡{"html": "<p><span style=\"font-size: medium;\">This is the trajectory followed by a point on the surface of a disk while the disk rolls on the floor, without slipping, with a uniform linear velocity. The point is chosen at a distance 'r' from the center of the disk.</span></p>"}︡
︠d7171e9f-2237-418a-9ac9-ed1701bf7ab3︠
R = 4.
r = 2.

var('wt')
parametric_plot(( r*sin(wt) + R*wt, r*cos(wt)), (wt, 0, 4*pi))
︡b132c1e6-e40e-440d-a36b-b6206889cdb9︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠165c647f-532f-40f8-8ee6-882a92887834i︠
%html
<p><span style="font-size: large;">This is the trajectory of a point the lies on the perimeter of the disk as it rolls on a flat surface.</span></p>

︡e1f88237-17ff-49f6-89b5-25e2af7eb980︡{"html": "<p><span style=\"font-size: large;\">This is the trajectory of a point the lies on the perimeter of the disk as it rolls on a flat surface.</span></p>"}︡
︠9d55f223-f008-420d-9bc4-a137ed40fbfc︠
R = 4.
r = 4.

var('wt')
parametric_plot(( r*sin(wt) + R*wt, r*cos(wt)), (wt, 0, 4*pi))
︡121bbb49-6fa2-4518-9db6-40f55e9600b3︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠7a961307-8bc3-4c4c-be60-6a4e53fafc48i︠
%html
<p><span style="font-size: large;">Spirograph: Inner perimeter</span></p>

︡556d2bea-c965-41c9-bcde-413c9b2e0663︡{"html": "<p><span style=\"font-size: large;\">Spirograph: Inner perimeter</span></p>"}︡
︠46e7bc19-4502-4915-b0a1-e24cead91642︠
R = 100.
r = 50.
r_ = 40.
n = 100
var('wt')
parametric_plot( (R*cos(wt) + r_*cos((R+r)*wt/r) , R*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi))
︡0116bd3b-dff6-44e9-84f6-d34ab247674d︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠8ad8a7de-085e-4b95-8d01-1180d336f94e︠
R = 100.
r = 70.
r_ = 60.
n = 100
var('wt')
parametric_plot( (R*cos(wt) + r_*cos((R+r)*wt/r) , R*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi))
︡438a2098-5759-4a64-a122-b59c1983b0e9︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b803807b-649d-404a-8071-edc1ac3a171d︠
R = 100.
r = 80.
r_ = 50.
n = 100
var('wt')
parametric_plot( (R*cos(wt) + r_*cos((R+r)*wt/r) , R*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi))
︡09a193a2-d0f6-4501-ba7b-a7954254e413︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠a7827a1c-30e4-42c5-9112-d633dda79bbc︠
R = 100.
r = 70.
r_ = 50.
n = 200
var('wt')
parametric_plot( (R*cos(wt) + r_*cos((R+r)*wt/r) , R*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi))
︡0cc9a547-738f-4770-951b-c15d525171d3︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b38d633e-038b-48c7-8601-ff86e5ee9423︠
R = 100.
r = 90.
r_ = 20.
n = 100
var('wt')
parametric_plot( (R*cos(wt) + r_*cos((R+r)*wt/r) , R*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi))
︡2bb9ef76-9986-4ca2-b3f1-4198aded72f5︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b04699f9-3728-47d6-b678-45b8f483560e︠
R = 100.
n = 10

@interact
def f(r=(26..R/2), r_=(14..R/2)):
    var('wt,t')
    pt = parametric_plot( (R*cos(wt) + r_*cos((R+r)*wt/r) , R*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi)) + parametric_plot(((R+r)*cos(t), (R+r)*sin(t)), (t,0,2*pi), color='red')
    show(pt)
︡3c063c0e-1e08-4e43-af12-535b7b6b13fb︡︡
︠df8f7683-6b58-4b7c-b467-0228cc7e753di︠
%html
<p><span style="font-size: large;">If the smaller circle (the one with radius = r) is made to 'roll' along the outer perimeter of the bigger circle (whose width is negligible in this case), the following differences are to be taken care of:</span></p>
<p><span style="font-size: large;">- the radius of the bigger circle now will be equal to R</span></p>
<p><span style="font-size: large;">- the radius of the circle traced by the smaller circle will be R+r</span></p>
<p><span style="font-size: medium;">- both rotations are positive.</span></p>

︡5c17d85d-0bbb-44ad-846f-da925502576d︡{"html": "<p><span style=\"font-size: large;\">If the smaller circle (the one with radius = r) is made to 'roll' along the outer perimeter of the bigger circle (whose width is negligible in this case), the following differences are to be taken care of:</span></p>\n<p><span style=\"font-size: large;\">- the radius of the bigger circle now will be equal to R</span></p>\n<p><span style=\"font-size: large;\">- the radius of the circle traced by the smaller circle will be R+r</span></p>\n<p><span style=\"font-size: medium;\">- both rotations are positive.</span></p>"}︡
︠7cd1a412-969b-420d-b330-ed5f8d52c471︠
R = 500.

@interact
def f(r=(550..2*R), r_=(420..2*R), n=30):
    print("R="+str(R))
    var('wt,t')
    pt = parametric_plot( ((R + r)*cos(wt) - r_*cos((R+r)*wt/r) , (R+r)*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi)) + parametric_plot((R*cos(t), R*sin(t)), (t,0,2*pi), color='red')
    show(pt)
︡88d4c23d-1c2f-4175-9e22-5cccff512e63︡{"html": "<!--notruncate-->\n        <div padding=6 id=\"div-interact-13\">\n          <table width=800px height=20px bgcolor=\"#c5c5c5\" cellpadding=15>\n            <tr>\n              <td bgcolor=\"#f9f9f9\" valign=top align=left>\n            <table>\n              <tr><td colspan=3><table><tr><td align=right><font color=\"black\">r&nbsp;</font></td><td>\n        <table>\n          <tr>\n            <td>\n              <div id=\"slider-r-13\" style=\"margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;\"></div>\n            </td>\n            \n            <td>\n              <font color=\"black\" id=\"slider-r-13-lbl\"></font>\n            </td>\n          </tr>\n        </table><script>\n    (function() {\n        var values = [\"550.000000000000\",\"551.000000000000\",\"552.000000000000\",\"553.000000000000\",\"554.000000000000\",\"555.000000000000\",\"556.000000000000\",\"557.000000000000\",\"558.000000000000\",\"559.000000000000\",\"560.000000000000\",\"561.000000000000\",\"562.000000000000\",\"563.000000000000\",\"564.000000000000\",\"565.000000000000\",\"566.000000000000\",\"567.000000000000\",\"568.000000000000\",\"569.000000000000\",\"570.000000000000\",\"571.000000000000\",\"572.000000000000\",\"573.000000000000\",\"574.000000000000\",\"575.000000000000\",\"576.000000000000\",\"577.000000000000\",\"578.000000000000\",\"579.000000000000\",\"580.000000000000\",\"581.000000000000\",\"582.000000000000\",\"583.000000000000\",\"584.000000000000\",\"585.000000000000\",\"586.000000000000\",\"587.000000000000\",\"588.000000000000\",\"589.000000000000\",\"590.000000000000\",\"591.000000000000\",\"592.000000000000\",\"593.000000000000\",\"594.000000000000\",\"595.000000000000\",\"596.000000000000\",\"597.000000000000\",\"598.000000000000\",\"599.000000000000\",\"600.000000000000\",\"601.000000000000\",\"602.000000000000\",\"603.000000000000\",\"604.000000000000\",\"605.000000000000\",\"606.000000000000\",\"607.000000000000\",\"608.000000000000\",\"609.000000000000\",\"610.000000000000\",\"611.000000000000\",\"612.000000000000\",\"613.000000000000\",\"614.000000000000\",\"615.000000000000\",\"616.000000000000\",\"617.000000000000\",\"618.000000000000\",\"619.000000000000\",\"620.000000000000\",\"621.000000000000\",\"622.000000000000\",\"623.000000000000\",\"624.000000000000\",\"625.000000000000\",\"626.000000000000\",\"627.000000000000\",\"628.000000000000\",\"629.000000000000\",\"630.000000000000\",\"631.000000000000\",\"632.000000000000\",\"633.000000000000\",\"634.000000000000\",\"635.000000000000\",\"636.000000000000\",\"637.000000000000\",\"638.000000000000\",\"639.000000000000\",\"640.000000000000\",\"641.000000000000\",\"642.000000000000\",\"643.000000000000\",\"644.000000000000\",\"645.000000000000\",\"646.000000000000\",\"647.000000000000\",\"648.000000000000\",\"649.000000000000\",\"650.000000000000\",\"651.000000000000\",\"652.000000000000\",\"653.000000000000\",\"654.000000000000\",\"655.000000000000\",\"656.000000000000\",\"657.000000000000\",\"658.000000000000\",\"659.000000000000\",\"660.000000000000\",\"661.000000000000\",\"662.000000000000\",\"663.000000000000\",\"664.000000000000\",\"665.000000000000\",\"666.000000000000\",\"667.000000000000\",\"668.000000000000\",\"669.000000000000\",\"670.000000000000\",\"671.000000000000\",\"672.000000000000\",\"673.000000000000\",\"674.000000000000\",\"675.000000000000\",\"676.000000000000\",\"677.000000000000\",\"678.000000000000\",\"679.000000000000\",\"680.000000000000\",\"681.000000000000\",\"682.000000000000\",\"683.000000000000\",\"684.000000000000\",\"685.000000000000\",\"686.000000000000\",\"687.000000000000\",\"688.000000000000\",\"689.000000000000\",\"690.000000000000\",\"691.000000000000\",\"692.000000000000\",\"693.000000000000\",\"694.000000000000\",\"695.000000000000\",\"696.000000000000\",\"697.000000000000\",\"698.000000000000\",\"699.000000000000\",\"700.000000000000\",\"701.000000000000\",\"702.000000000000\",\"703.000000000000\",\"704.000000000000\",\"705.000000000000\",\"706.000000000000\",\"707.000000000000\",\"708.000000000000\",\"709.000000000000\",\"710.000000000000\",\"711.000000000000\",\"712.000000000000\",\"713.000000000000\",\"714.000000000000\",\"715.000000000000\",\"716.000000000000\",\"717.000000000000\",\"718.000000000000\",\"719.000000000000\",\"720.000000000000\",\"721.000000000000\",\"722.000000000000\",\"723.000000000000\",\"724.000000000000\",\"725.000000000000\",\"726.000000000000\",\"727.000000000000\",\"728.000000000000\",\"729.000000000000\",\"730.000000000000\",\"731.000000000000\",\"732.000000000000\",\"733.000000000000\",\"734.000000000000\",\"735.000000000000\",\"736.000000000000\",\"737.000000000000\",\"738.000000000000\",\"739.000000000000\",\"740.000000000000\",\"741.000000000000\",\"742.000000000000\",\"743.000000000000\",\"744.000000000000\",\"745.000000000000\",\"746.000000000000\",\"747.000000000000\",\"748.000000000000\",\"749.000000000000\",\"750.000000000000\",\"751.000000000000\",\"752.000000000000\",\"753.000000000000\",\"754.000000000000\",\"755.000000000000\",\"756.000000000000\",\"757.000000000000\",\"758.000000000000\",\"759.000000000000\",\"760.000000000000\",\"761.000000000000\",\"762.000000000000\",\"763.000000000000\",\"764.000000000000\",\"765.000000000000\",\"766.000000000000\",\"767.000000000000\",\"768.000000000000\",\"769.000000000000\",\"770.000000000000\",\"771.000000000000\",\"772.000000000000\",\"773.000000000000\",\"774.000000000000\",\"775.000000000000\",\"776.000000000000\",\"777.000000000000\",\"778.000000000000\",\"779.000000000000\",\"780.000000000000\",\"781.000000000000\",\"782.000000000000\",\"783.000000000000\",\"784.000000000000\",\"785.000000000000\",\"786.000000000000\",\"787.000000000000\",\"788.000000000000\",\"789.000000000000\",\"790.000000000000\",\"791.000000000000\",\"792.000000000000\",\"793.000000000000\",\"794.000000000000\",\"795.000000000000\",\"796.000000000000\",\"797.000000000000\",\"798.000000000000\",\"799.000000000000\",\"800.000000000000\",\"801.000000000000\",\"802.000000000000\",\"803.000000000000\",\"804.000000000000\",\"805.000000000000\",\"806.000000000000\",\"807.000000000000\",\"808.000000000000\",\"809.000000000000\",\"810.000000000000\",\"811.000000000000\",\"812.000000000000\",\"813.000000000000\",\"814.000000000000\",\"815.000000000000\",\"816.000000000000\",\"817.000000000000\",\"818.000000000000\",\"819.000000000000\",\"820.000000000000\",\"821.000000000000\",\"822.000000000000\",\"823.000000000000\",\"824.000000000000\",\"825.000000000000\",\"826.000000000000\",\"827.000000000000\",\"828.000000000000\",\"829.000000000000\",\"830.000000000000\",\"831.000000000000\",\"832.000000000000\",\"833.000000000000\",\"834.000000000000\",\"835.000000000000\",\"836.000000000000\",\"837.000000000000\",\"838.000000000000\",\"839.000000000000\",\"840.000000000000\",\"841.000000000000\",\"842.000000000000\",\"843.000000000000\",\"844.000000000000\",\"845.000000000000\",\"846.000000000000\",\"847.000000000000\",\"848.000000000000\",\"849.000000000000\",\"850.000000000000\",\"851.000000000000\",\"852.000000000000\",\"853.000000000000\",\"854.000000000000\",\"855.000000000000\",\"856.000000000000\",\"857.000000000000\",\"858.000000000000\",\"859.000000000000\",\"860.000000000000\",\"861.000000000000\",\"862.000000000000\",\"863.000000000000\",\"864.000000000000\",\"865.000000000000\",\"866.000000000000\",\"867.000000000000\",\"868.000000000000\",\"869.000000000000\",\"870.000000000000\",\"871.000000000000\",\"872.000000000000\",\"873.000000000000\",\"874.000000000000\",\"875.000000000000\",\"876.000000000000\",\"877.000000000000\",\"878.000000000000\",\"879.000000000000\",\"880.000000000000\",\"881.000000000000\",\"882.000000000000\",\"883.000000000000\",\"884.000000000000\",\"885.000000000000\",\"886.000000000000\",\"887.000000000000\",\"888.000000000000\",\"889.000000000000\",\"890.000000000000\",\"891.000000000000\",\"892.000000000000\",\"893.000000000000\",\"894.000000000000\",\"895.000000000000\",\"896.000000000000\",\"897.000000000000\",\"898.000000000000\",\"899.000000000000\",\"900.000000000000\",\"901.000000000000\",\"902.000000000000\",\"903.000000000000\",\"904.000000000000\",\"905.000000000000\",\"906.000000000000\",\"907.000000000000\",\"908.000000000000\",\"909.000000000000\",\"910.000000000000\",\"911.000000000000\",\"912.000000000000\",\"913.000000000000\",\"914.000000000000\",\"915.000000000000\",\"916.000000000000\",\"917.000000000000\",\"918.000000000000\",\"919.000000000000\",\"920.000000000000\",\"921.000000000000\",\"922.000000000000\",\"923.000000000000\",\"924.000000000000\",\"925.000000000000\",\"926.000000000000\",\"927.000000000000\",\"928.000000000000\",\"929.000000000000\",\"930.000000000000\",\"931.000000000000\",\"932.000000000000\",\"933.000000000000\",\"934.000000000000\",\"935.000000000000\",\"936.000000000000\",\"937.000000000000\",\"938.000000000000\",\"939.000000000000\",\"940.000000000000\",\"941.000000000000\",\"942.000000000000\",\"943.000000000000\",\"944.000000000000\",\"945.000000000000\",\"946.000000000000\",\"947.000000000000\",\"948.000000000000\",\"949.000000000000\",\"950.000000000000\",\"951.000000000000\",\"952.000000000000\",\"953.000000000000\",\"954.000000000000\",\"955.000000000000\",\"956.000000000000\",\"957.000000000000\",\"958.000000000000\",\"959.000000000000\",\"960.000000000000\",\"961.000000000000\",\"962.000000000000\",\"963.000000000000\",\"964.000000000000\",\"965.000000000000\",\"966.000000000000\",\"967.000000000000\",\"968.000000000000\",\"969.000000000000\",\"970.000000000000\",\"971.000000000000\",\"972.000000000000\",\"973.000000000000\",\"974.000000000000\",\"975.000000000000\",\"976.000000000000\",\"977.000000000000\",\"978.000000000000\",\"979.000000000000\",\"980.000000000000\",\"981.000000000000\",\"982.000000000000\",\"983.000000000000\",\"984.000000000000\",\"985.000000000000\",\"986.000000000000\",\"987.000000000000\",\"988.000000000000\",\"989.000000000000\",\"990.000000000000\",\"991.000000000000\",\"992.000000000000\",\"993.000000000000\",\"994.000000000000\",\"995.000000000000\",\"996.000000000000\",\"997.000000000000\",\"998.000000000000\",\"999.000000000000\",\"1000.00000000000\"];\n        setTimeout(function() {\n            $('#slider-r-13').slider({\n                step: 1,\n                min: 0,\n                max: 450,\n                value: 0,\n                change: function (e, ui) {\n                    var position = ui.value;\n                    if (values != null) {\n                        $('#slider-r-13-lbl').text(values[position]);\n                        interact(13, {variable: 'r', adapt_number: 1, value: encode64(position)}, 1);\n                    }\n                },\n                slide: function (e, ui) {\n                    if (values != null) {\n                        $('#slider-r-13-lbl').text(values[ui.value]);\n                    }\n                }\n            });\n            if (values != null) {\n                $('#slider-r-13-lbl').text(values[$('#slider-r-13').slider('value')]);\n            }\n        }, 1);\n    })();\n    </script></td>\n</tr><tr><td align=right><font color=\"black\">r_&nbsp;</font></td><td>\n        <table>\n          <tr>\n            <td>\n              <div id=\"slider-r_-13\" style=\"margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;\"></div>\n            </td>\n            \n            <td>\n              <font color=\"black\" id=\"slider-r_-13-lbl\"></font>\n            </td>\n          </tr>\n        </table><script>\n    (function() {\n        var values = [\"420.000000000000\",\"421.000000000000\",\"422.000000000000\",\"423.000000000000\",\"424.000000000000\",\"425.000000000000\",\"426.000000000000\",\"428.000000000000\",\"429.000000000000\",\"430.000000000000\",\"431.000000000000\",\"432.000000000000\",\"433.000000000000\",\"435.000000000000\",\"436.000000000000\",\"437.000000000000\",\"438.000000000000\",\"439.000000000000\",\"440.000000000000\",\"442.000000000000\",\"443.000000000000\",\"444.000000000000\",\"445.000000000000\",\"446.000000000000\",\"447.000000000000\",\"449.000000000000\",\"450.000000000000\",\"451.000000000000\",\"452.000000000000\",\"453.000000000000\",\"454.000000000000\",\"456.000000000000\",\"457.000000000000\",\"458.000000000000\",\"459.000000000000\",\"460.000000000000\",\"461.000000000000\",\"463.000000000000\",\"464.000000000000\",\"465.000000000000\",\"466.000000000000\",\"467.000000000000\",\"468.000000000000\",\"469.000000000000\",\"471.000000000000\",\"472.000000000000\",\"473.000000000000\",\"474.000000000000\",\"475.000000000000\",\"476.000000000000\",\"478.000000000000\",\"479.000000000000\",\"480.000000000000\",\"481.000000000000\",\"482.000000000000\",\"483.000000000000\",\"485.000000000000\",\"486.000000000000\",\"487.000000000000\",\"488.000000000000\",\"489.000000000000\",\"490.000000000000\",\"492.000000000000\",\"493.000000000000\",\"494.000000000000\",\"495.000000000000\",\"496.000000000000\",\"497.000000000000\",\"499.000000000000\",\"500.000000000000\",\"501.000000000000\",\"502.000000000000\",\"503.000000000000\",\"504.000000000000\",\"506.000000000000\",\"507.000000000000\",\"508.000000000000\",\"509.000000000000\",\"510.000000000000\",\"511.000000000000\",\"512.000000000000\",\"514.000000000000\",\"515.000000000000\",\"516.000000000000\",\"517.000000000000\",\"518.000000000000\",\"519.000000000000\",\"521.000000000000\",\"522.000000000000\",\"523.000000000000\",\"524.000000000000\",\"525.000000000000\",\"526.000000000000\",\"528.000000000000\",\"529.000000000000\",\"530.000000000000\",\"531.000000000000\",\"532.000000000000\",\"533.000000000000\",\"535.000000000000\",\"536.000000000000\",\"537.000000000000\",\"538.000000000000\",\"539.000000000000\",\"540.000000000000\",\"542.000000000000\",\"543.000000000000\",\"544.000000000000\",\"545.000000000000\",\"546.000000000000\",\"547.000000000000\",\"549.000000000000\",\"550.000000000000\",\"551.000000000000\",\"552.000000000000\",\"553.000000000000\",\"554.000000000000\",\"555.000000000000\",\"557.000000000000\",\"558.000000000000\",\"559.000000000000\",\"560.000000000000\",\"561.000000000000\",\"562.000000000000\",\"564.000000000000\",\"565.000000000000\",\"566.000000000000\",\"567.000000000000\",\"568.000000000000\",\"569.000000000000\",\"571.000000000000\",\"572.000000000000\",\"573.000000000000\",\"574.000000000000\",\"575.000000000000\",\"576.000000000000\",\"578.000000000000\",\"579.000000000000\",\"580.000000000000\",\"581.000000000000\",\"582.000000000000\",\"583.000000000000\",\"585.000000000000\",\"586.000000000000\",\"587.000000000000\",\"588.000000000000\",\"589.000000000000\",\"590.000000000000\",\"592.000000000000\",\"593.000000000000\",\"594.000000000000\",\"595.000000000000\",\"596.000000000000\",\"597.000000000000\",\"598.000000000000\",\"600.000000000000\",\"601.000000000000\",\"602.000000000000\",\"603.000000000000\",\"604.000000000000\",\"605.000000000000\",\"607.000000000000\",\"608.000000000000\",\"609.000000000000\",\"610.000000000000\",\"611.000000000000\",\"612.000000000000\",\"614.000000000000\",\"615.000000000000\",\"616.000000000000\",\"617.000000000000\",\"618.000000000000\",\"619.000000000000\",\"621.000000000000\",\"622.000000000000\",\"623.000000000000\",\"624.000000000000\",\"625.000000000000\",\"626.000000000000\",\"628.000000000000\",\"629.000000000000\",\"630.000000000000\",\"631.000000000000\",\"632.000000000000\",\"633.000000000000\",\"635.000000000000\",\"636.000000000000\",\"637.000000000000\",\"638.000000000000\",\"639.000000000000\",\"640.000000000000\",\"642.000000000000\",\"643.000000000000\",\"644.000000000000\",\"645.000000000000\",\"646.000000000000\",\"647.000000000000\",\"648.000000000000\",\"650.000000000000\",\"651.000000000000\",\"652.000000000000\",\"653.000000000000\",\"654.000000000000\",\"655.000000000000\",\"657.000000000000\",\"658.000000000000\",\"659.000000000000\",\"660.000000000000\",\"661.000000000000\",\"662.000000000000\",\"664.000000000000\",\"665.000000000000\",\"666.000000000000\",\"667.000000000000\",\"668.000000000000\",\"669.000000000000\",\"671.000000000000\",\"672.000000000000\",\"673.000000000000\",\"674.000000000000\",\"675.000000000000\",\"676.000000000000\",\"678.000000000000\",\"679.000000000000\",\"680.000000000000\",\"681.000000000000\",\"682.000000000000\",\"683.000000000000\",\"685.000000000000\",\"686.000000000000\",\"687.000000000000\",\"688.000000000000\",\"689.000000000000\",\"690.000000000000\",\"691.000000000000\",\"693.000000000000\",\"694.000000000000\",\"695.000000000000\",\"696.000000000000\",\"697.000000000000\",\"698.000000000000\",\"700.000000000000\",\"701.000000000000\",\"702.000000000000\",\"703.000000000000\",\"704.000000000000\",\"705.000000000000\",\"707.000000000000\",\"708.000000000000\",\"709.000000000000\",\"710.000000000000\",\"711.000000000000\",\"712.000000000000\",\"714.000000000000\",\"715.000000000000\",\"716.000000000000\",\"717.000000000000\",\"718.000000000000\",\"719.000000000000\",\"721.000000000000\",\"722.000000000000\",\"723.000000000000\",\"724.000000000000\",\"725.000000000000\",\"726.000000000000\",\"728.000000000000\",\"729.000000000000\",\"730.000000000000\",\"731.000000000000\",\"732.000000000000\",\"733.000000000000\",\"734.000000000000\",\"736.000000000000\",\"737.000000000000\",\"738.000000000000\",\"739.000000000000\",\"740.000000000000\",\"741.000000000000\",\"743.000000000000\",\"744.000000000000\",\"745.000000000000\",\"746.000000000000\",\"747.000000000000\",\"748.000000000000\",\"750.000000000000\",\"751.000000000000\",\"752.000000000000\",\"753.000000000000\",\"754.000000000000\",\"755.000000000000\",\"757.000000000000\",\"758.000000000000\",\"759.000000000000\",\"760.000000000000\",\"761.000000000000\",\"762.000000000000\",\"764.000000000000\",\"765.000000000000\",\"766.000000000000\",\"767.000000000000\",\"768.000000000000\",\"769.000000000000\",\"771.000000000000\",\"772.000000000000\",\"773.000000000000\",\"774.000000000000\",\"775.000000000000\",\"776.000000000000\",\"777.000000000000\",\"779.000000000000\",\"780.000000000000\",\"781.000000000000\",\"782.000000000000\",\"783.000000000000\",\"784.000000000000\",\"786.000000000000\",\"787.000000000000\",\"788.000000000000\",\"789.000000000000\",\"790.000000000000\",\"791.000000000000\",\"793.000000000000\",\"794.000000000000\",\"795.000000000000\",\"796.000000000000\",\"797.000000000000\",\"798.000000000000\",\"800.000000000000\",\"801.000000000000\",\"802.000000000000\",\"803.000000000000\",\"804.000000000000\",\"805.000000000000\",\"807.000000000000\",\"808.000000000000\",\"809.000000000000\",\"810.000000000000\",\"811.000000000000\",\"812.000000000000\",\"814.000000000000\",\"815.000000000000\",\"816.000000000000\",\"817.000000000000\",\"818.000000000000\",\"819.000000000000\",\"821.000000000000\",\"822.000000000000\",\"823.000000000000\",\"824.000000000000\",\"825.000000000000\",\"826.000000000000\",\"827.000000000000\",\"829.000000000000\",\"830.000000000000\",\"831.000000000000\",\"832.000000000000\",\"833.000000000000\",\"834.000000000000\",\"836.000000000000\",\"837.000000000000\",\"838.000000000000\",\"839.000000000000\",\"840.000000000000\",\"841.000000000000\",\"843.000000000000\",\"844.000000000000\",\"845.000000000000\",\"846.000000000000\",\"847.000000000000\",\"848.000000000000\",\"850.000000000000\",\"851.000000000000\",\"852.000000000000\",\"853.000000000000\",\"854.000000000000\",\"855.000000000000\",\"857.000000000000\",\"858.000000000000\",\"859.000000000000\",\"860.000000000000\",\"861.000000000000\",\"862.000000000000\",\"864.000000000000\",\"865.000000000000\",\"866.000000000000\",\"867.000000000000\",\"868.000000000000\",\"869.000000000000\",\"870.000000000000\",\"872.000000000000\",\"873.000000000000\",\"874.000000000000\",\"875.000000000000\",\"876.000000000000\",\"877.000000000000\",\"879.000000000000\",\"880.000000000000\",\"881.000000000000\",\"882.000000000000\",\"883.000000000000\",\"884.000000000000\",\"886.000000000000\",\"887.000000000000\",\"888.000000000000\",\"889.000000000000\",\"890.000000000000\",\"891.000000000000\",\"893.000000000000\",\"894.000000000000\",\"895.000000000000\",\"896.000000000000\",\"897.000000000000\",\"898.000000000000\",\"900.000000000000\",\"901.000000000000\",\"902.000000000000\",\"903.000000000000\",\"904.000000000000\",\"905.000000000000\",\"907.000000000000\",\"908.000000000000\",\"909.000000000000\",\"910.000000000000\",\"911.000000000000\",\"912.000000000000\",\"913.000000000000\",\"915.000000000000\",\"916.000000000000\",\"917.000000000000\",\"918.000000000000\",\"919.000000000000\",\"920.000000000000\",\"922.000000000000\",\"923.000000000000\",\"924.000000000000\",\"925.000000000000\",\"926.000000000000\",\"927.000000000000\",\"929.000000000000\",\"930.000000000000\",\"931.000000000000\",\"932.000000000000\",\"933.000000000000\",\"934.000000000000\",\"936.000000000000\",\"937.000000000000\",\"938.000000000000\",\"939.000000000000\",\"940.000000000000\",\"941.000000000000\",\"943.000000000000\",\"944.000000000000\",\"945.000000000000\",\"946.000000000000\",\"947.000000000000\",\"948.000000000000\",\"950.000000000000\",\"951.000000000000\",\"952.000000000000\",\"953.000000000000\",\"954.000000000000\",\"955.000000000000\",\"956.000000000000\",\"958.000000000000\",\"959.000000000000\",\"960.000000000000\",\"961.000000000000\",\"962.000000000000\",\"963.000000000000\",\"965.000000000000\",\"966.000000000000\",\"967.000000000000\",\"968.000000000000\",\"969.000000000000\",\"970.000000000000\",\"972.000000000000\",\"973.000000000000\",\"974.000000000000\",\"975.000000000000\",\"976.000000000000\",\"977.000000000000\",\"979.000000000000\",\"980.000000000000\",\"981.000000000000\",\"982.000000000000\",\"983.000000000000\",\"984.000000000000\",\"986.000000000000\",\"987.000000000000\",\"988.000000000000\",\"989.000000000000\",\"990.000000000000\",\"991.000000000000\",\"993.000000000000\",\"994.000000000000\",\"995.000000000000\",\"996.000000000000\",\"997.000000000000\",\"998.000000000000\",\"1000.00000000000\"];\n        setTimeout(function() {\n            $('#slider-r_-13').slider({\n                step: 1,\n                min: 0,\n                max: 499,\n                value: 0,\n                change: function (e, ui) {\n                    var position = ui.value;\n                    if (values != null) {\n                        $('#slider-r_-13-lbl').text(values[position]);\n                        interact(13, {variable: 'r_', adapt_number: 2, value: encode64(position)}, 1);\n                    }\n                },\n                slide: function (e, ui) {\n                    if (values != null) {\n                        $('#slider-r_-13-lbl').text(values[ui.value]);\n                    }\n                }\n            });\n            if (values != null) {\n                $('#slider-r_-13-lbl').text(values[$('#slider-r_-13').slider('value')]);\n            }\n        }, 1);\n    })();\n    </script></td>\n</tr><tr><td align=right><font color=\"black\">n&nbsp;</font></td><td><input type=\"text\" value=\"30\" size=80 onchange=\"interact(13, {variable: 'n', adapt_number: 3, value: encode64(this.value)}, 1)\"></input></td>\n</tr></table></td></tr>\n              <tr><td></td><td style='width: 100%;'>\n        <div id=\"cell-interact-13\"><?__SAGE__START>\n          <table border=0 bgcolor=\"white\" width=100%>\n            <tr>\n              <td bgcolor=\"white\" align=left valign=top>\n                <pre><?__SAGE__TEXT></pre>\n              </td>\n            </tr>\n            <tr>\n              <td align=left valign=top><?__SAGE__HTML></td>\n            </tr>\n          </table><?__SAGE__END>\n        </div></td><td></td></tr>\n              <tr><td colspan=3></td></tr>\n            </table></td>\n            </tr>\n          </table>\n        </div>"}︡
︠cdbaeab7-a627-45d6-b8a0-e49d7c40dcbf︠
R = 500.

@interact
def f(r=(R/2..2*R), r_=(R/4..2*R), n=10):
    #r = 100; r_ = 100
    var('wt')
    pt = parametric_plot( ((R + r)*cos(wt) - r_*cos((R+r)*wt/r) , (R+r)*sin(wt) - r_*sin((R+r)*wt/r)), (wt, -n*pi, n*pi)) + parametric_plot((R*cos(t), R*sin(t)), (t,0,2*pi), color='red')
    show(pt)
︡5118b871-a9cf-4a37-928a-4bde6e9d1c4b︡︡
